files:
  "/tmp/elasticbeanstalk-nginx-docker-proxy.conf":
    owner: root
    group: root
    mode: "000444"
    content: |
      map $http_upgrade $connection_upgrade {
        default        "upgrade";
        ""            "";
      }

      server_tokens off;

      server {
        listen 80;

        access_log /var/log/nginx/access.log;

        #include ssl-protocols.conf;
        include enhanced-security.conf;
        include gzip-options.conf;
        include no-max-client-size.conf;
        include force-https.conf;
      }



container_commands:
  10_command:
    command: cp -v /tmp/elasticbeanstalk-nginx-docker-proxy.conf /etc/nginx/sites-available/
